> For the complete documentation index, see [llms.txt](https://docs.struct.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.struct.com/reference/settings/data-models/attributes/attribute-details.md).

# Attribute details

You can manage attributes through [Settings](/reference/settings.md) > [Data models](/reference/settings/data-models.md) > [Attributes](/reference/settings/data-models/attributes.md).

### Backoffice name

The name the attribute should be displayed by within the backoffice.

### Alias

A unique alias for the attribute

### Backoffice description

A description to display along with the attribute when shown in the backoffice.

### Display name

A display name to use when this attribute is displayed in any channel outside of PIM.

### Data type

The data type of the attribute.

{% hint style="warning" %}
Depending on the chosen data type more options will be available. Read about these options here: [Data type details](/reference/settings/data-models/attributes/attribute-details/data-type-details.md)
{% endhint %}

### Attribute width

The width of the attribute in the backoffice.

### Attribute scopes

The scopes this attribute should be available in.

### Attribute group

Choose if the attribute should be connected to an attribute group.

### Disable revision log

Determines whether revision logging should be enabled or disabled. Revision logging takes some time each time an item is saved. If revisions are not used at all, disable revision logging for improved performance.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.struct.com/reference/settings/data-models/attributes/attribute-details.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
